Community Forums Archive

Go Back

Subject: OSX 10.5.8
Posted by: koval33
Date: 11/11/2015 2:28:30 AM

Hi,
Im in business trip and I found old MAC which has OSX 10.5.8
Maybe somebody knows which version of Sound Forge is able to work with that computer?

Thank you for help in advance
Pawel

Subject: RE: OSX 10.5.8
Reply by: pwppch
Date: 11/11/2015 6:25:44 AM

10.5.8 is Leopard. No version of Sound Forge Mac Pro supports this.

Peter

Subject: RE: OSX 10.5.8
Reply by: cybercom
Date: 11/11/2015 10:32:30 PM

@KOVAL33
DON'T WASTE ANY EFFORT ATTEMPTING TO USE THIS PROGRAM REGARDLESS OF WHAT OPERATING SYSTEM YOU HAVE. IT FLAT OUT DOES NOT WORK!!! IT IS FULL OF BUGS, IS UNRELIABLE, CRASHES ON EVEN THE LATEST YOSEMITE SYSTEMS, IS MISSING REQUIRED FUNCTIONS AND IS COMPLETELY USELESS. BUY A PC AND GET SF 10 IF YOU WANT TO GET ANY WORK DONE.
@PETER:
HOW COULD THIS POS EVER BE RELEASED???
IT IS FLAWED, CRASHES, HAS TOTALLY UNRELIABLE OPERATION.
SONY AND THE PROGRAMMING TEAM WHO WORKED ON THIS SHOULD QUIT IN SHAME AND GET JOBS AT A FAST FOOD JOINT.
I CAN UNDERSTAND THE EXCUSES WHEN THE PROGRAMMERS WERE WORKING WITH MULTIPLE OPERATING SYSTEMS AND HARDWARE ON THE PC PLATFORM, BUT IT ACTUALLY WORKED RELIABLY THERE.
THE MAC PLATFORM IS FAR MORE LIMITED AND SHOULD BE A DREAM TO PROGRAM FOR - IF YOU HAVE PEOPLE WHO KNOW WHAT THEY ARE DOING. OBVIOUSLY, THAT IS NOT THE CASE BECAUSE SF MAC IS THE WORST PIECE OF SOFTWARE WE HAVE EVER HAD THE DISPLEASURE OF TRYING TO WORK WITH IN THE PAST 12 YEARS.

Go Back